Subject: 25.0.50; Wrong curly quotes in the docstring for font-lock-add-keywords
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Mon, 5 Oct 2015 15:24:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring for this function (when displayed in a help buffer) has
the following code-snippet, which clearly has the wrong type of
quotes.

(font-lock-add-keywords ’c-mode
  ’(("\\<\\(FIXME\\):" 1 ’font-lock-warning-face prepend)
    ("\\<\\(and\\|or\\|not\\)\\>" . ’font-lock-keyword-face)))

Instead of fixing this by manually escaping them, how about we change
the algorithm to only convert `...' quotes if the ... is a single
symbol?